# -*- coding: utf-8 -*-
from setuphelpers import *

def install():
    def get_complete_version(key):
        version_soft = '0' 
        for path in glob.glob(makepath(programfiles32,'GanttProject*','plugins','base','VERSION')):
            with open(path,'r') as f : 
                version_soft = f.read().replace('\n','')
        return version_soft
 
    
    # Initializing variables
    version = control.get_software_version()
    bin_name = glob.glob('ganttproject-*.exe')[0]
    # Installing the package
    print("Installing: %s" % bin_name)
    install_exe_if_needed(bin_name,
        silentflags='/S',
        key='GanttProject',
        min_version=version,
        get_version=get_complete_version,
    )
    # Fixing uninstall entry in Windows registry and make it silently uninstallable
    for soft in installed_softwares(uninstallkey='GanttProject'):
        if soft['version'] != version:
            quiet_uninstall_string = soft['uninstall_string'] + ' /S'
            register_uninstall('GanttProject',
                uninstallstring=soft['uninstall_string'],
                quiet_uninstall_string=quiet_uninstall_string,
                display_version=version,
                publisher=control.editor,
            )
    """ for WAPT 2.0+
    for soft in installed_softwares(uninstallkey=app_uninstallkey):
        if soft['version'] != package_version:
            quiet_uninstall_string = soft['uninstall_string'] + ' /S'
            register_uninstall(app_uninstallkey,
                uninstallstring=soft['uninstall_string'],
                win64app=True,
                quiet_uninstall_string=quiet_uninstall_string,
                icon=makepath(app_dir, 'ganttproject.ico'),
                display_version=get_soft_version(),
                installed_size=int(str(control.installed_size)[:-3]),
                publisher=control.editor,
            ) """
def session_setup():
    # Define local 
    config_path = makepath(user_home_directory(), ".ganttproject")
    
    # Disable check update
    if isfile (config_path):
        # Read config file
        config_file_read = open(config_path, "r")
        config_file = config_file_read.readlines()
        count = 0
        for line in config_file:
            if r'<option id="platform.update.checkEnabled" value="true"/>' in line :
                config_file[count] = r'    <option id="platform.update.checkEnabled" value="false"/>' + "\n"
            count = count + 1
        config_file_read.close()
        # Write config file
        config_file_read = open(config_path, "w")
        config_file_read.writelines(config_file)
        config_file_read.close()


